function [y, x_hat] = analysator(input, base_function, inv_base_function)
% Mrselmlet 2. hzi feladat
% Kirilly Mikls CET61E
% 4. feladat : analiztor
% param :   input               sorvektor
%           base_function       ngyzetes, sorai a bzisfggvnyek
%           inv_base_function   ngyzetes, sorai az inverz bzisfggvnyek

N = size(base_function,1);                  % a bzis elemszma

y = zeros(size(input));                     % bemenet mretvel egyezik meg
x_hat = zeros(N,length(input));

for i = 1:1:length(input)
    y(i)        = x_hat(:,i)' * base_function(:, mod(i-1,N) + 1);
    x_hat(:,i+1)= (input(i)-y(i)) * inv_base_function(:,mod(i-1,N) + 1)...
                    + x_hat(:,i);
end